package com.dne.ems.repository;

import com.dne.ems.model.Attachment;
import com.dne.ems.model.Feedback;
import com.dne.ems.model.TaskSubmission;

import java.util.List;
import java.util.Optional;

public interface AttachmentRepository {

    Attachment save(Attachment attachment);

    Optional<Attachment> findByStoredFileName(String storedFileName);

    List<Attachment> findByTaskSubmission(TaskSubmission taskSubmission);

    List<Attachment> findByFeedback(Feedback feedback);
}